# Interface: HMRMessageBody

Represent Hot Module Replacement Update body.

**`internal`**

## Table of contents

### Properties

- [errors](HMRMessageBody.md#errors)
- [hash](HMRMessageBody.md#hash)
- [modules](HMRMessageBody.md#modules)
- [name](HMRMessageBody.md#name)
- [time](HMRMessageBody.md#time)
- [warnings](HMRMessageBody.md#warnings)

## Properties

### errors

• **errors**: `undefined` \| `StatsError`[]

#### Defined in

[packages/repack/src/types.ts:185](https://github.com/callstack/repack/blob/0cdbae2/packages/repack/src/types.ts#L185)

___

### hash

• **hash**: `string`

#### Defined in

[packages/repack/src/types.ts:183](https://github.com/callstack/repack/blob/0cdbae2/packages/repack/src/types.ts#L183)

___

### modules

• **modules**: `Record`<`string`, `string`\>

#### Defined in

[packages/repack/src/types.ts:186](https://github.com/callstack/repack/blob/0cdbae2/packages/repack/src/types.ts#L186)

___

### name

• **name**: `string`

#### Defined in

[packages/repack/src/types.ts:181](https://github.com/callstack/repack/blob/0cdbae2/packages/repack/src/types.ts#L181)

___

### time

• **time**: `number`

#### Defined in

[packages/repack/src/types.ts:182](https://github.com/callstack/repack/blob/0cdbae2/packages/repack/src/types.ts#L182)

___

### warnings

• **warnings**: `undefined` \| `StatsError`[]

#### Defined in

[packages/repack/src/types.ts:184](https://github.com/callstack/repack/blob/0cdbae2/packages/repack/src/types.ts#L184)
